#
# spec file for package python-xcffib
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-xcffib
Version:        0.9.0
Release:        1.7
Summary:        A drop in replacement for xpyb, an XCB python binding
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://github.com/tych0/xcffib
Source:         https://files.pythonhosted.org/packages/source/x/xcffib/xcffib-%{version}.tar.gz
BuildRequires:  %{python_module cffi >= 1.1.0}
BuildRequires:  %{python_module nose}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six}
BuildRequires:  fdupes
BuildRequires:  libxcb-devel
BuildRequires:  python-rpm-macros
BuildRequires:  xeyes
BuildRequires:  xvfb-run
Requires:       python-cffi >= 1.1.0
Requires:       python-six
BuildArch:      noarch
%python_subpackages

%description
The xcffib package is intended to be a (mostly) drop-in
replacement for xpyb.

%prep
%setup -q -n xcffib-%{version}
# upstream moves files compared to git repository
sed -i -e 's:from \.testing:from testing:g' test/*.py

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
# Skip the tests as they deadlock here and there in xvfb
# self.conn.wait_for_event() waits without end
#%%python_expand PYTHONPATH=%{buildroot}%{$python_sitelib} xvfb-run nosetests-%{$python_bin_suffix} -v

%files %{python_files}
%license LICENSE
%doc README.md
%{python_sitelib}/xcffib/
%{python_sitelib}/xcffib-%{version}-py*.egg-info

%changelog
* Fri Feb 21 2020 tchvatal@suse.com
- Disable tests to avoid deadlock in xvfb
* Thu Feb  6 2020 mcalabkova@suse.com
- update to 0.9.0
  * add Python 3.8
  * test: don't fail when there is no pre-existing display
* Mon Jun 17 2019 tchvatal@suse.com
- Update to 0.8.1:
  * Testsuite expansion mostly
* Mon May  6 2019 pgajdos@suse.com
- version update to 0.8.0
  * Fix few more instances of inefficient struct format
* Mon Mar  4 2019 tchvatal@suse.com
- Update to 0.7.0:
  * Various updates and fixes for ghc/cabal
  * Drop unnecessary imports
- Enable tests
* Thu Jan 24 2019 mvetter@suse.com
- Update to 0.6.0:
  * Depend on xcb-types 0.9.0
  * Fix spelling mistakes
  * Support the new eventstruct element
  * Use xcb-types HEAD instead of a released version
  * List: keep around the raw underlying represenation
  * Fix linter errors
* Tue Dec  4 2018 mcepl@suse.com
- Remove superfluous devel dependency for noarch package
* Wed Apr 19 2017 toddrme2178@gmail.com
- Update to 0.5.1.
- Implement single-spec version.
* Wed Nov 23 2016 hpj@urpla.net
- add python-cffi runtime dependency
* Mon Nov 21 2016 hpj@urpla.net
- version 0.4.2: initial build
